import request from '@/utils/request'

// 查询附件列表
export function listFtmsorderbillsattachs(query) {
  return request({
    url: '/fleet/ftmsorderbillsattachs/list',
    method: 'get',
    params: query
  })
}

// 查询附件详细
export function getFtmsorderbillsattachs(id) {
  return request({
    url: '/fleet/ftmsorderbillsattachs/' + id,
    method: 'get'
  })
}

// 新增附件
export function addFtmsorderbillsattachs(data) {
  return request({
    url: '/fleet/ftmsorderbillsattachs',
    method: 'post',
    data: data
  })
}

// 修改附件
export function updateFtmsorderbillsattachs(data) {
  return request({
    url: '/fleet/ftmsorderbillsattachs',
    method: 'put',
    data: data
  })
}

// 删除附件
export function delFtmsorderbillsattachs(id) {
  return request({
    url: '/fleet/ftmsorderbillsattachs/' + id,
    method: 'delete'
  })
}

// 导出附件
export function exportFtmsorderbillsattachs(query) {
  return request({
    url: '/fleet/ftmsorderbillsattachs/export',
    method: 'get',
    params: query
  })
}